> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Mailbox Emails

> Lists emails received by a mailbox, newest first.



## OpenAPI

````yaml /openapi.yaml get /v1/mailboxes/{mailboxId}/emails
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v1/mailboxes/{mailboxId}/emails:
    get:
      tags:
        - Identities
      summary: List Mailbox Emails
      description: Lists emails received by a mailbox, newest first.
      parameters:
        - name: mailboxId
          in: path
          required: true
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: Max emails to return (1-100, default 20).
          schema:
            type: integer
        - name: offset
          in: query
          required: false
          schema:
            type: integer
        - name: since
          in: query
          required: false
          description: Only return emails received after this ISO timestamp.
          schema:
            type: string
      responses:
        '200':
          description: Emails retrieved successfully.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EmailListItem'
        '403':
          description: Mailbox does not belong to this team.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
        '404':
          description: Mailbox not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
        '500':
          description: Failed to list emails.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    EmailListItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        from:
          type: string
        subject:
          type: string
        received_at:
          type: string
    FlatErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message.
        code:
          type: integer
          description: HTTP status code.
      required:
        - error
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````